//
//  GYS_FX_SearchViewController.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/11/3.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit

class GYS_FX_SearchViewController: BaseViewController,UITableViewDelegate,UITableViewDataSource, UISearchBarDelegate, SearchBarViewDelegate{
    
    var keyword = ""
    func searchBarSearchButtonClicked(_ searchBar: UISearchBar) {
        print("点击搜索进行--")
        searchBar.resignFirstResponder()
        keyword = searchBar.text!
        
    }
    //MARK:--取消搜索代理
    func clearSearchAction() {
        print("取消搜索代理了--")
    }
    func searchBarTextDidEndEditing(_ searchBar: UISearchBar) {
        print("编辑即将结束了--")
        if searchBar.text?.count == 0 && keyword.count != 0{
            keyword = searchBar.text!
        }
        print("key - ",searchBar.text!)
    }
    func searchBarShouldBeginEditing(_ searchBar: UISearchBar) -> Bool {
        print("调起搜索后添加个蒙版本")
        
        return true
    }
    
  
    @IBAction func backAction(_ sender: UIButton) {
        self.navigationController?.popViewController(animated: true)
    }
    @IBOutlet weak var searchView: UIView!
    weak var searchV: SearchBarView? = nil
    
    @IBOutlet weak var home_list_tbv: UITableView!
    override func viewDidLoad() {
        super.viewDidLoad()
        self.view.backgroundColor = UIColor.white
        let searchBr = SearchBarView.init()
        searchV = searchBr
        self.searchView.addSubview(searchBr)
        searchV?.changecornerRadius(cornerRadius: 35*0.5)
        searchBr.delegate = self
        searchBr.delegateL = self
        
        searchBr.snp.makeConstraints { (make) in
            make.left.equalTo(0)
            make.right.equalTo(0)
            make.centerY.equalToSuperview()
            make.height.equalTo(35)
        }
        
        home_list_tbv.register(UINib(nibName: "GYS_FX_ProductCellTableViewCell", bundle: nil), forCellReuseIdentifier: "GYS_FX_ProductCellTableViewCell")
        home_list_tbv.delegate = self
        home_list_tbv.separatorStyle = .none
        home_list_tbv.dataSource = self
    }
//MARK: - tableview_delegate

    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return 3
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: "GYS_FX_ProductCellTableViewCell") as! GYS_FX_ProductCellTableViewCell
        return cell
    }
    func tableView(_ tableView: UITableView, heightForRowAt indexPath: IndexPath) -> CGFloat {
        return 125
    }
}
