//
//  FX_Product_GuanLiVC.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/11/3.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit

class FX_Product_GuanLiVC: BaseViewController,UITableViewDelegate,UITableViewDataSource, UISearchBarDelegate, SearchBarViewDelegate,GYS_FX_ProductCellDelegate ,SelectContentViewDelegate,HeaderSelectViewDelegate{
    
    var selectIndexArr = [0,0]
    var showSelectvIndex = 0
    weak var showSelectV: SelectContentView! = nil
    func didselectCell(sender: Int) {
        selectIndexArr[showSelectvIndex] = sender
        var arr:[String] = []
        if showSelectvIndex == 0 {
            let arr1 = ["全部商品", "不参与分销商品", "参与分销商品", "佣金比例商品", "绝对额比例商品"]
            arr.append(arr1[sender])
        }else if showSelectvIndex == 1{
            let arr2 = ["全部","上架", "下架"]
            arr.append(arr2[sender])
        }
        selectV.colseBytitleArr(arr: arr, index:showSelectvIndex)
     
    }
    
    func selectContentvRemoveForSup() {
        selectV.colseBytitleArr(arr: [], index:showSelectvIndex)
    }
    
    func showAction(sender: Int) {
        showSelectvIndex = sender
        switch sender {
        case 0:
            do {
                let showSelectView = SelectContentView()
                showSelectView.delegate = self
                self.view.addSubview(showSelectView)
                showSelectView.snp.makeConstraints { (make) in
                    make.left.right.bottom.equalToSuperview()
                    make.top.equalTo(top_btn_bg_view.snp_bottom)
                }
                showSelectV = showSelectView
                showSelectView.dataArr = ["全部商品", "不参与分销商品", "参与分销商品", "佣金比例商品", "绝对额比例商品"]
                showSelectView.selectIndx = selectIndexArr[0]
            }
            break
        case 1:
            do {
                let showSelectView = SelectContentView()
                showSelectView.delegate = self
                self.view.addSubview(showSelectView)
                showSelectView.snp.makeConstraints { (make) in
                    make.left.right.bottom.equalToSuperview()
                    make.top.equalTo(top_btn_bg_view.snp_bottom)
                }
                showSelectV = showSelectView
                showSelectView.dataArr = ["全部","上架", "下架"]
                showSelectView.selectIndx = selectIndexArr[1]
                
            }
            break
        default: break
            
        }
        
    }
    
    func colseAction(sender: Int) {
        if showSelectV != nil {
            showSelectV.removeFromSuperview()
        }
    }
    
    var keyword = ""
    func searchBarSearchButtonClicked(_ searchBar: UISearchBar) {
        print("点击搜索进行--")
        searchBar.resignFirstResponder()
        keyword = searchBar.text!
        
    }
    //MARK:--取消搜索代理
    func clearSearchAction() {
        print("取消搜索代理了--")
    }
    func searchBarTextDidEndEditing(_ searchBar: UISearchBar) {
        print("编辑即将结束了--")
        if searchBar.text?.count == 0 && keyword.count != 0{
            keyword = searchBar.text!
        }
        print("key - ",searchBar.text!)
    }
    func searchBarShouldBeginEditing(_ searchBar: UISearchBar) -> Bool {
        print("调起搜索后添加个蒙版本")
        
        return true
    }
    
    
    
    @IBAction func allSelect(_ sender: UIButton) {
        sender.isSelected = !sender.isSelected
        selectItem.removeAll()
        if sender.isSelected {
            home_list_tbv.visibleCells.forEach { (item) in
                let cell = item as! GYS_FX_ProductCellTableViewCell
                selectItem.append(cell.tag)
            }
        }
        home_list_tbv.reloadData()
    }
    
    var is_Edit = false
    func rightBtnClick() {
        is_Edit = !is_Edit
        navbar.rightTitle = "编辑商品"
        edit_bottom_view_H.constant = 0
        if is_Edit{
            navbar.rightTitle = "取消"
            if IS_IPHONE_X {
                edit_bottom_view_H.constant = 83
            }else{
                edit_bottom_view_H.constant = 49
            }
        }
        home_list_tbv.reloadData()
    }
    @IBOutlet weak var home_list_tbv: UITableView!
    @IBOutlet weak var right_title: UILabel!
    @IBOutlet weak var left_title: UILabel!
    @IBOutlet weak var right_arrow_img: UIButton!
    @IBOutlet weak var left_arrow_img: UIImageView!
    @IBOutlet weak var count_lbl: UILabel!//数量
    @IBOutlet weak var search_view: UIView!
    weak var searchV: SearchBarView? = nil
    
    weak var selectV: HeaderSelectView! = nil
    
    @IBOutlet weak var top_btn_bg_view: UIView!
    @IBOutlet weak var edit_bottom_view_H: NSLayoutConstraint!
    
    func initHeaderSelectView() {
        let selectView = HeaderSelectView()
        selectView.firstBtn.setTitle("全部商品", for: .normal)
        selectView.secBtn.setTitle("全部", for: .normal)
        selectView.thereBtn.removeFromSuperview()
        selectView.firstBtn.snp_makeConstraints { (make) in
            make.left.top.bottom.equalTo(0)
            make.width.equalTo(fullScreenWidth*0.5)
        }
        selectView.secBtn.snp_makeConstraints { (make) in
            make.right.top.bottom.equalTo(0)
            make.width.equalTo(fullScreenWidth*0.5)
        }
        top_btn_bg_view.addSubview(selectView)
        selectView.snp.makeConstraints { (make) in
            make.left.top.right.bottom.equalTo(0);
        }
        selectView.delegate = self
        selectV = selectView
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        SetTopFrame(view: search_view, height: 44)
        navbar.title = "分销商品管理"
        self.view.addSubview(navbar)
        navbar.rightTitle = "编辑商品"
        
        let searchBr = SearchBarView.init()
        searchV = searchBr
        searchBr.placeholderStr = "请输入分销商品名称"
        self.search_view.addSubview(searchBr)
        searchV?.changecornerRadius(cornerRadius: 35*0.5)
        searchBr.delegate = self
        searchBr.delegateL = self
        searchBr.snp.makeConstraints { (make) in
            make.left.equalTo(0)
            make.right.equalTo(0)
            make.centerY.equalToSuperview()
            make.height.equalTo(35)
        }
        
        initHeaderSelectView()
        
        home_list_tbv.register(UINib(nibName: "GYS_FX_ProductCellTableViewCell", bundle: nil), forCellReuseIdentifier: "GYS_FX_ProductCellTableViewCell")
        home_list_tbv.separatorStyle = .none
        // Do any additional setup after loading the view.
    }
    
    
    //MARK: - tableview_delegate
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return 30
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        
        let cell = tableView.dequeueReusableCell(withIdentifier: "GYS_FX_ProductCellTableViewCell") as! GYS_FX_ProductCellTableViewCell
        cell.submitBtn.setTitle("设置", for: .normal)
        cell.submitBtn.setTitleColor(UIColor(named: "按钮背景颜色"), for: .normal)
        cell.tag = indexPath.row
        cell.delegate = self
        if is_Edit{
            cell.leftValue.constant = 45
            cell.submit_Btn_W.constant = 10
            cell.submitBtn.isHidden = true
            cell.left_btn.isUserInteractionEnabled = true
            cell.select_Img.isHidden = false
            cell.select_Img.image = UIImage(named: "daixuan")
            selectItem.forEach { (idx) in
                if idx == indexPath.row {
                    cell.select_Img.image = UIImage(named: "yuxuan")
                }
            }
        }else{
            cell.leftValue.constant = 0
            cell.submit_Btn_W.constant = 50
            cell.submitBtn.isHidden = false
            cell.left_btn.isUserInteractionEnabled = false
            cell.select_Img.isHidden = true
        }
        
        return cell
    }
    var selectItem:Array<Int> = []
    func GYS_FX_ProductCellTableViewCellSelect(idx: Int) {
        if selectItem.contains(idx){
            let index = selectItem.firstIndex(of: idx)
            selectItem.remove(at: index!)
        }else{
            selectItem.append(idx)
        }
        home_list_tbv.reloadData()
    }
    
    func tableView(_ tableView: UITableView, heightForRowAt indexPath: IndexPath) -> CGFloat {
        return 125
    }
    
    func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
        
    }
    
}
